Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Alpha9
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.task.wih
Class CDIHTWorkItemHandler

    java.lang.Object
      org.jbpm.task.wih.AbstractHTWorkItemHandler
          org.jbpm.task.wih.CDIHTWorkItemHandler

All Implemented Interfaces:
  WorkItemHandler

    @ApplicationScoped
    public class CDIHTWorkItemHandler

extends AbstractHTWorkItemHandler

Field Summary

Fields inherited from class org.jbpm.task.wih.AbstractHTWorkItemHandler
`action`

Constructor Summary
`CDIHTWorkItemHandler()`

Method Summary
`void` | `abortWorkItem(WorkItem workItem, WorkItemManager manager)` The given work item should be aborted.
`void` | `addSession(KieSession ksession)`
`void` | `addSession(KieSession ksession, ClassLoader classLoader)`
`void` | `executeWorkItem(WorkItem workItem, WorkItemManager manager)` The given work item should be executed.
`TaskServiceEntryPoint` | `getTaskService()`

Methods inherited from class org.jbpm.task.wih.AbstractHTWorkItemHandler
`createTaskBasedOnWorkItemParams, createTaskContentBasedOnWorkItemParams, setAction`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CDIHTWorkItemHandler

    public CDIHTWorkItemHandler()

Method Detail

### addSession

    public void addSession(KieSession ksession)

### addSession

    public void addSession(KieSession ksession,
                           ClassLoader classLoader)

### getTaskService

    public TaskServiceEntryPoint getTaskService()

### executeWorkItem

    public void executeWorkItem(WorkItem workItem,
                                WorkItemManager manager)

  Description copied from interface: `WorkItemHandler`
  The given work item should be executed.

  Specified by:
    `executeWorkItem` in interface `WorkItemHandler`
  Specified by:
    `executeWorkItem` in class `AbstractHTWorkItemHandler`
  Parameters:
    `workItem` - the work item that should be executed
    `manager` - the manager that requested the work item to be executed

### abortWorkItem

    public void abortWorkItem(WorkItem workItem,
                              WorkItemManager manager)

  Description copied from interface: `WorkItemHandler`
  The given work item should be aborted.

  Specified by:
    `abortWorkItem` in interface `WorkItemHandler`
  Specified by:
    `abortWorkItem` in class `AbstractHTWorkItemHandler`
  Parameters:
    `workItem` - the work item that should be aborted
    `manager` - the manager that requested the work item to be aborted

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Alpha9
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.